# Class BareFile

#### Hierarchy

- BaseFile
  - BareFile

- Defined in fs/bare/file.ts:11

#####
Index

### Constructors

constructor

### Properties

content
depot
readOnly

### Methods

put
putDetailed
updateContent
create
fromCID
instanceOf

## Constructors

### constructor

- new BareFile(depot: Depot.Implementation, content: Uint8Array): BareFile

- #### Parameters

  - ##### depot: Depot.Implementation

  - ##### content: Uint8Array

  #### Returns BareFile

  Overrides BaseFile.constructor

  - Defined in fs/bare/file.ts:15

## Properties

### content

content: Uint8Array

Inherited from BaseFile.content

- Defined in fs/base/file.ts:9

### depot

depot: Depot.Implementation

- Defined in fs/bare/file.ts:13

### readOnly

readOnly: boolean

Inherited from BaseFile.readOnly

- Defined in fs/base/file.ts:10

## Methods

### put

- put(): Promise<CID<unknown, number, number, Version>>

- #### Returns Promise<CID<unknown, number, number, Version>>

  Overrides BaseFile.put

  - Defined in fs/bare/file.ts:33

### putDetailed

- putDetailed(): Promise<PutResult>

- #### Returns Promise<PutResult>

  Overrides BaseFile.putDetailed

  - Defined in fs/bare/file.ts:38

### updateContent

- updateContent(content: Uint8Array): Promise<BareFile>

- #### Parameters

  - ##### content: Uint8Array

  #### Returns Promise<BareFile>

  Inherited from BaseFile.updateContent

  - Defined in fs/base/file.ts:22

### `Static` create

- create(depot: Depot.Implementation, content: Uint8Array): BareFile

- #### Parameters

  - ##### depot: Depot.Implementation

  - ##### content: Uint8Array

  #### Returns BareFile

  - Defined in fs/bare/file.ts:20

### `Static` fromCID

- fromCID(depot: Depot.Implementation, cid: CID<unknown, number, number, Version>): Promise<BareFile>

- #### Parameters

  - ##### depot: Depot.Implementation

  - ##### cid: CID<unknown, number, number, Version>

  #### Returns Promise<BareFile>

  - Defined in fs/bare/file.ts:24

### `Static` instanceOf

- instanceOf(obj: unknown): obj is BareFile

- #### Parameters

  - ##### obj: unknown

  #### Returns obj is BareFile

  - Defined in fs/bare/file.ts:29

Generated using TypeDoc